# Method: messages.create

**Full name**: projects.locations.datasets.hl7V2Stores.messages.create

Parses and stores an HL7v2 message. This method triggers an asynchronous notification to any Pub/Sub topic configured in `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.hl7V2Stores#Hl7V2NotificationConfig`, if the filtering matches the message. If an MLLP adapter is configured to listen to a Pub/Sub topic, the adapter transmits the message when a notification is received.

### HTTP request

`POST https://healthcare.googleapis.com/v1/{parent=projects/*/locations/*/datasets/*/hl7V2Stores/*}/messages`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the HL7v2 store this message belongs to. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `healthcare.hl7V2Messages.create` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "message": { object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.hl7V2Stores.messages#Message`) } } ``` |

| Fields ||
|---|---|
| `message` | ``object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.hl7V2Stores.messages#Message`)`` Required. HL7v2 message. |

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.hl7V2Stores.messages#Message`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).